<?php

namespace App\Http\Controllers;

use App\Models\Domain;
use Illuminate\Http\Request;
use Illuminate\Support\Carbon;
use Illuminate\Support\Facades\Auth;

class DomainController extends Controller
{
    public function veriler(){
        $veriler = Domain::all();

        return view('yonetim.domain.domainler',compact('veriler'));
    }


    public function veriupdate($id){

        $veriler = Domain::findOrFail($id);
        return view('yonetim.domain.domainedit',compact('veriler'));
    }

    public function veriupdateson(Request $request,$id){


        $oturumyetki = Auth::user()->yetki;

        if ($oturumyetki==2 || $oturumyetki==1) {
            Domain::findOrFail($id)->update([
                'fiyat'=>$request->fiyat,
                'updated_at' => Carbon::now(),

            ]);


            return redirect()->route('domain.all')->with('success', 'Veri Güncellendi...');
        }
        else{
            return redirect()->route('domain.all')->with('danger', 'İşlem Yetkiniz kısıtlı..');

        }






    }



    public function veriekle(){

        return view('yonetim.domain.domainekle');
    }

    public function veriekleson(Request $request){


        $oturumyetki = Auth::user()->yetki;

        if ($oturumyetki==2 || $oturumyetki==1) {
            Domain::insert([
                'baslik'=>$request->baslik,
                'fiyat'=>$request->fiyat,
                'updated_at' => Carbon::now(),
                'durum' => 1,
            ]);

            return redirect()->route('domain.all')->with('success', 'Ekleme Başarılı...');
        }
        else{
            return redirect()->route('domain.all')->with('danger', 'İşlem Yetkiniz kısıtlı..');

        }




    }

    public function veridelete($id){


        $oturumyetki = Auth::user()->yetki;

        if ($oturumyetki==2 || $oturumyetki==1) {
            Domain::findOrFail($id)->delete();
            return redirect()->back()->with('success', 'Silme İşlemi Başarıyla Tamamlandı.Yönleniyorsunuz Bekleyiniz...');
        }
        else{
            return redirect()->back()->with('danger', 'İşlem Yetkiniz kısıtlı..');

        }


    }

}
